"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommentThread = exports.listCommentsByResource = exports.countComments = exports.publishComment = exports.hideComment = exports.unmarkComment = exports.markComment = exports.queryComments = exports.moderateDraftContent = exports.deleteComment = exports.updateComment = exports.getComment = exports.createComment = exports.WebhookIdentityType = exports.ReplySortOrder = exports.Order = exports.SortOrder = exports.Action = exports.VersioningMode = exports.Status = exports.NullValue = exports.VerticalAlignment = exports.Direction = exports.InitialExpandedItems = exports.AppType = exports.FontType = exports.DecorationType = exports.BackgroundType = exports.PollLayoutDirection = exports.PollLayoutType = exports.VoteRole = exports.ViewRole = exports.MapType = exports.Position = exports.Source = exports.GIFType = exports.ThumbnailsAlignment = exports.Crop = exports.Orientation = exports.LayoutType = exports.ViewMode = exports.Alignment = exports.Width = exports.LineStyle = exports.TextAlignment = exports.Target = exports.Type = exports.PluginContainerDataAlignment = exports.WidthType = exports.NodeType = void 0;
exports.bulkMoveCommentByFilter = exports.bulkModerateDraftContent = exports.bulkDeleteComment = exports.bulkHideComment = exports.bulkPublishComment = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const query_builder_1 = require("@wix/sdk-runtime/query-builder");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixCommentsV2Comment = __importStar(require("./comments-v2-comment-comments.http.js"));
// @ts-ignore
const audio_1 = require("@wix/sdk-runtime/transformations/audio");
const audio_2 = require("@wix/sdk-runtime/transformations/audio");
const image_1 = require("@wix/sdk-runtime/transformations/image");
const image_2 = require("@wix/sdk-runtime/transformations/image");
const video_v2_1 = require("@wix/sdk-runtime/transformations/video-v2");
const video_v2_2 = require("@wix/sdk-runtime/transformations/video-v2");
const document_1 = require("@wix/sdk-runtime/transformations/document");
const document_2 = require("@wix/sdk-runtime/transformations/document");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
var NodeType;
(function (NodeType) {
    NodeType["PARAGRAPH"] = "PARAGRAPH";
    NodeType["TEXT"] = "TEXT";
    NodeType["HEADING"] = "HEADING";
    NodeType["BULLETED_LIST"] = "BULLETED_LIST";
    NodeType["ORDERED_LIST"] = "ORDERED_LIST";
    NodeType["LIST_ITEM"] = "LIST_ITEM";
    NodeType["BLOCKQUOTE"] = "BLOCKQUOTE";
    NodeType["CODE_BLOCK"] = "CODE_BLOCK";
    NodeType["VIDEO"] = "VIDEO";
    NodeType["DIVIDER"] = "DIVIDER";
    NodeType["FILE"] = "FILE";
    NodeType["GALLERY"] = "GALLERY";
    NodeType["GIF"] = "GIF";
    NodeType["HTML"] = "HTML";
    NodeType["IMAGE"] = "IMAGE";
    NodeType["LINK_PREVIEW"] = "LINK_PREVIEW";
    /** @deprecated */
    NodeType["MAP"] = "MAP";
    NodeType["POLL"] = "POLL";
    NodeType["APP_EMBED"] = "APP_EMBED";
    NodeType["BUTTON"] = "BUTTON";
    NodeType["COLLAPSIBLE_LIST"] = "COLLAPSIBLE_LIST";
    NodeType["TABLE"] = "TABLE";
    NodeType["EMBED"] = "EMBED";
    NodeType["COLLAPSIBLE_ITEM"] = "COLLAPSIBLE_ITEM";
    NodeType["COLLAPSIBLE_ITEM_TITLE"] = "COLLAPSIBLE_ITEM_TITLE";
    NodeType["COLLAPSIBLE_ITEM_BODY"] = "COLLAPSIBLE_ITEM_BODY";
    NodeType["TABLE_CELL"] = "TABLE_CELL";
    NodeType["TABLE_ROW"] = "TABLE_ROW";
    NodeType["EXTERNAL"] = "EXTERNAL";
    NodeType["AUDIO"] = "AUDIO";
    NodeType["CAPTION"] = "CAPTION";
    NodeType["LAYOUT"] = "LAYOUT";
    NodeType["LAYOUT_CELL"] = "LAYOUT_CELL";
})(NodeType || (exports.NodeType = NodeType = {}));
var WidthType;
(function (WidthType) {
    /** Width matches the content width */
    WidthType["CONTENT"] = "CONTENT";
    /** Small Width */
    WidthType["SMALL"] = "SMALL";
    /** Width will match the original asset width */
    WidthType["ORIGINAL"] = "ORIGINAL";
    /** coast-to-coast display */
    WidthType["FULL_WIDTH"] = "FULL_WIDTH";
})(WidthType || (exports.WidthType = WidthType = {}));
var PluginContainerDataAlignment;
(function (PluginContainerDataAlignment) {
    /** Center Alignment */
    PluginContainerDataAlignment["CENTER"] = "CENTER";
    /** Left Alignment */
    PluginContainerDataAlignment["LEFT"] = "LEFT";
    /** Right Alignment */
    PluginContainerDataAlignment["RIGHT"] = "RIGHT";
})(PluginContainerDataAlignment || (exports.PluginContainerDataAlignment = PluginContainerDataAlignment = {}));
var Type;
(function (Type) {
    /** Regular link button */
    Type["LINK"] = "LINK";
    /** Triggers custom action that is defined in plugin configuration by the consumer */
    Type["ACTION"] = "ACTION";
})(Type || (exports.Type = Type = {}));
var Target;
(function (Target) {
    /** Opens the linked document in the same frame as it was clicked (this is default) */
    Target["SELF"] = "SELF";
    /** Opens the linked document in a new window or tab */
    Target["BLANK"] = "BLANK";
    /** Opens the linked document in the parent frame */
    Target["PARENT"] = "PARENT";
    /** Opens the linked document in the full body of the window */
    Target["TOP"] = "TOP";
})(Target || (exports.Target = Target = {}));
var TextAlignment;
(function (TextAlignment) {
    /** browser default, eqivalent to `initial` */
    TextAlignment["AUTO"] = "AUTO";
    /** Left align */
    TextAlignment["LEFT"] = "LEFT";
    /** Right align */
    TextAlignment["RIGHT"] = "RIGHT";
    /** Center align */
    TextAlignment["CENTER"] = "CENTER";
    /** Text is spaced to line up its left and right edges to the left and right edges of the line box, except for the last line */
    TextAlignment["JUSTIFY"] = "JUSTIFY";
})(TextAlignment || (exports.TextAlignment = TextAlignment = {}));
var LineStyle;
(function (LineStyle) {
    /** Single Line */
    LineStyle["SINGLE"] = "SINGLE";
    /** Double Line */
    LineStyle["DOUBLE"] = "DOUBLE";
    /** Dashed Line */
    LineStyle["DASHED"] = "DASHED";
    /** Dotted Line */
    LineStyle["DOTTED"] = "DOTTED";
})(LineStyle || (exports.LineStyle = LineStyle = {}));
var Width;
(function (Width) {
    /** Large line */
    Width["LARGE"] = "LARGE";
    /** Medium line */
    Width["MEDIUM"] = "MEDIUM";
    /** Small line */
    Width["SMALL"] = "SMALL";
})(Width || (exports.Width = Width = {}));
var Alignment;
(function (Alignment) {
    /** Center alignment */
    Alignment["CENTER"] = "CENTER";
    /** Left alignment */
    Alignment["LEFT"] = "LEFT";
    /** Right alignment */
    Alignment["RIGHT"] = "RIGHT";
})(Alignment || (exports.Alignment = Alignment = {}));
var ViewMode;
(function (ViewMode) {
    /** No PDF view */
    ViewMode["NONE"] = "NONE";
    /** Full PDF view */
    ViewMode["FULL"] = "FULL";
    /** Mini PDF view */
    ViewMode["MINI"] = "MINI";
})(ViewMode || (exports.ViewMode = ViewMode = {}));
var LayoutType;
(function (LayoutType) {
    /** Collage type */
    LayoutType["COLLAGE"] = "COLLAGE";
    /** Masonry type */
    LayoutType["MASONRY"] = "MASONRY";
    /** Grid type */
    LayoutType["GRID"] = "GRID";
    /** Thumbnail type */
    LayoutType["THUMBNAIL"] = "THUMBNAIL";
    /** Slider type */
    LayoutType["SLIDER"] = "SLIDER";
    /** Slideshow type */
    LayoutType["SLIDESHOW"] = "SLIDESHOW";
    /** Panorama type */
    LayoutType["PANORAMA"] = "PANORAMA";
    /** Column type */
    LayoutType["COLUMN"] = "COLUMN";
    /** Magic type */
    LayoutType["MAGIC"] = "MAGIC";
    /** Fullsize images type */
    LayoutType["FULLSIZE"] = "FULLSIZE";
})(LayoutType || (exports.LayoutType = LayoutType = {}));
var Orientation;
(function (Orientation) {
    /** Rows Orientation */
    Orientation["ROWS"] = "ROWS";
    /** Columns Orientation */
    Orientation["COLUMNS"] = "COLUMNS";
})(Orientation || (exports.Orientation = Orientation = {}));
var Crop;
(function (Crop) {
    /** Crop to fill */
    Crop["FILL"] = "FILL";
    /** Crop to fit */
    Crop["FIT"] = "FIT";
})(Crop || (exports.Crop = Crop = {}));
var ThumbnailsAlignment;
(function (ThumbnailsAlignment) {
    /** Top alignment */
    ThumbnailsAlignment["TOP"] = "TOP";
    /** Right alignment */
    ThumbnailsAlignment["RIGHT"] = "RIGHT";
    /** Bottom alignment */
    ThumbnailsAlignment["BOTTOM"] = "BOTTOM";
    /** Left alignment */
    ThumbnailsAlignment["LEFT"] = "LEFT";
    /** No thumbnail */
    ThumbnailsAlignment["NONE"] = "NONE";
})(ThumbnailsAlignment || (exports.ThumbnailsAlignment = ThumbnailsAlignment = {}));
var GIFType;
(function (GIFType) {
    GIFType["NORMAL"] = "NORMAL";
    GIFType["STICKER"] = "STICKER";
})(GIFType || (exports.GIFType = GIFType = {}));
var Source;
(function (Source) {
    Source["HTML"] = "HTML";
    Source["ADSENSE"] = "ADSENSE";
})(Source || (exports.Source = Source = {}));
var Position;
(function (Position) {
    /** Thumbnail positioned at the start (left in LTR layouts, right in RTL layouts) */
    Position["START"] = "START";
    /** Thumbnail positioned at the end (right in LTR layouts, left in RTL layouts) */
    Position["END"] = "END";
    /** Thumbnail positioned at the top */
    Position["TOP"] = "TOP";
    /** Thumbnail hidden and not displayed */
    Position["HIDDEN"] = "HIDDEN";
})(Position || (exports.Position = Position = {}));
var MapType;
(function (MapType) {
    /** Roadmap map type */
    MapType["ROADMAP"] = "ROADMAP";
    /** Satellite map type */
    MapType["SATELITE"] = "SATELITE";
    /** Hybrid map type */
    MapType["HYBRID"] = "HYBRID";
    /** Terrain map type */
    MapType["TERRAIN"] = "TERRAIN";
})(MapType || (exports.MapType = MapType = {}));
var ViewRole;
(function (ViewRole) {
    /** Only Poll creator can view the results */
    ViewRole["CREATOR"] = "CREATOR";
    /** Anyone who voted can see the results */
    ViewRole["VOTERS"] = "VOTERS";
    /** Anyone can see the results, even if one didn't vote */
    ViewRole["EVERYONE"] = "EVERYONE";
})(ViewRole || (exports.ViewRole = ViewRole = {}));
var VoteRole;
(function (VoteRole) {
    /** Logged in member */
    VoteRole["SITE_MEMBERS"] = "SITE_MEMBERS";
    /** Anyone */
    VoteRole["ALL"] = "ALL";
})(VoteRole || (exports.VoteRole = VoteRole = {}));
var PollLayoutType;
(function (PollLayoutType) {
    /** List */
    PollLayoutType["LIST"] = "LIST";
    /** Grid */
    PollLayoutType["GRID"] = "GRID";
})(PollLayoutType || (exports.PollLayoutType = PollLayoutType = {}));
var PollLayoutDirection;
(function (PollLayoutDirection) {
    /** Left-to-right */
    PollLayoutDirection["LTR"] = "LTR";
    /** Right-to-left */
    PollLayoutDirection["RTL"] = "RTL";
})(PollLayoutDirection || (exports.PollLayoutDirection = PollLayoutDirection = {}));
var BackgroundType;
(function (BackgroundType) {
    /** Color background type */
    BackgroundType["COLOR"] = "COLOR";
    /** Image background type */
    BackgroundType["IMAGE"] = "IMAGE";
    /** Gradiant background type */
    BackgroundType["GRADIENT"] = "GRADIENT";
})(BackgroundType || (exports.BackgroundType = BackgroundType = {}));
var DecorationType;
(function (DecorationType) {
    DecorationType["BOLD"] = "BOLD";
    DecorationType["ITALIC"] = "ITALIC";
    DecorationType["UNDERLINE"] = "UNDERLINE";
    DecorationType["SPOILER"] = "SPOILER";
    DecorationType["ANCHOR"] = "ANCHOR";
    DecorationType["MENTION"] = "MENTION";
    DecorationType["LINK"] = "LINK";
    DecorationType["COLOR"] = "COLOR";
    DecorationType["FONT_SIZE"] = "FONT_SIZE";
    DecorationType["EXTERNAL"] = "EXTERNAL";
    DecorationType["STRIKETHROUGH"] = "STRIKETHROUGH";
})(DecorationType || (exports.DecorationType = DecorationType = {}));
var FontType;
(function (FontType) {
    FontType["PX"] = "PX";
    FontType["EM"] = "EM";
})(FontType || (exports.FontType = FontType = {}));
var AppType;
(function (AppType) {
    AppType["PRODUCT"] = "PRODUCT";
    AppType["EVENT"] = "EVENT";
    AppType["BOOKING"] = "BOOKING";
})(AppType || (exports.AppType = AppType = {}));
var InitialExpandedItems;
(function (InitialExpandedItems) {
    /** First item will be expended initally */
    InitialExpandedItems["FIRST"] = "FIRST";
    /** All items will expended initally */
    InitialExpandedItems["ALL"] = "ALL";
    /** All items collapsed initally */
    InitialExpandedItems["NONE"] = "NONE";
})(InitialExpandedItems || (exports.InitialExpandedItems = InitialExpandedItems = {}));
var Direction;
(function (Direction) {
    /** Left-to-right */
    Direction["LTR"] = "LTR";
    /** Right-to-left */
    Direction["RTL"] = "RTL";
})(Direction || (exports.Direction = Direction = {}));
var VerticalAlignment;
(function (VerticalAlignment) {
    /** Top alignment */
    VerticalAlignment["TOP"] = "TOP";
    /** Middle alignment */
    VerticalAlignment["MIDDLE"] = "MIDDLE";
    /** Bottom alignment */
    VerticalAlignment["BOTTOM"] = "BOTTOM";
})(VerticalAlignment || (exports.VerticalAlignment = VerticalAlignment = {}));
/**
 * `NullValue` is a singleton enumeration to represent the null value for the
 * `Value` type union.
 *
 * The JSON representation for `NullValue` is JSON `null`.
 */
var NullValue;
(function (NullValue) {
    /** Null value. */
    NullValue["NULL_VALUE"] = "NULL_VALUE";
})(NullValue || (exports.NullValue = NullValue = {}));
var Status;
(function (Status) {
    /** Unknown status. */
    Status["UNKNOWN"] = "UNKNOWN";
    /** This comment is published and publicly visible. */
    Status["PUBLISHED"] = "PUBLISHED";
    /** This comment is deleted. */
    Status["DELETED"] = "DELETED";
    /** This comment is pending moderation. Moderation is not currently supported. */
    Status["PENDING"] = "PENDING";
    /** This comment has been hidden by a site moderator. */
    Status["HIDDEN"] = "HIDDEN";
})(Status || (exports.Status = Status = {}));
var VersioningMode;
(function (VersioningMode) {
    /** use default versioning mode agreed with search team */
    VersioningMode["DEFAULT"] = "DEFAULT";
    /** execute only if version is greater than existing */
    VersioningMode["GREATER_THAN"] = "GREATER_THAN";
    /** execute only if version is greater or equal to existing */
    VersioningMode["GREATER_OR_EQUAL"] = "GREATER_OR_EQUAL";
})(VersioningMode || (exports.VersioningMode = VersioningMode = {}));
var Action;
(function (Action) {
    /** Unknown content. */
    Action["UNKNOWN"] = "UNKNOWN";
    /** Approve draft content. */
    Action["APPROVE"] = "APPROVE";
    /** Reject draft content. */
    Action["REJECT"] = "REJECT";
})(Action || (exports.Action = Action = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["ASC"] = "ASC";
    SortOrder["DESC"] = "DESC";
})(SortOrder || (exports.SortOrder = SortOrder = {}));
var Order;
(function (Order) {
    /** Unknown order. */
    Order["UNKNOWN_ORDER"] = "UNKNOWN_ORDER";
    /** Oldest comments appear at the top of the list. */
    Order["OLDEST_FIRST"] = "OLDEST_FIRST";
    /** Newest comments appear at the top of the list. */
    Order["NEWEST_FIRST"] = "NEWEST_FIRST";
    /** Comments with the highest reaction count appear at the top of the list. */
    Order["REACTION_COUNT"] = "REACTION_COUNT";
    /** Comments with the highest vote count appear at the top of the list. */
    Order["NET_VOTE_COUNT"] = "NET_VOTE_COUNT";
    /** Comments with the highest rating appear at the top of the list. */
    Order["RATING"] = "RATING";
    /** Comments with the lowest vote count appear at the top of the list. */
    Order["NET_VOTE_COUNT_ASC"] = "NET_VOTE_COUNT_ASC";
    /** Comments with the lowest rating appear at the top of the list. */
    Order["RATING_ASC"] = "RATING_ASC";
})(Order || (exports.Order = Order = {}));
var ReplySortOrder;
(function (ReplySortOrder) {
    /** Unknown order. */
    ReplySortOrder["UNKNOWN_ORDER"] = "UNKNOWN_ORDER";
    /** Oldest comments appear at the top of the list. */
    ReplySortOrder["OLDEST_FIRST"] = "OLDEST_FIRST";
    /** Newest comments appear at the top of the list. */
    ReplySortOrder["NEWEST_FIRST"] = "NEWEST_FIRST";
    /** Comments with the highest reaction count appear at the top of the list. */
    ReplySortOrder["REACTION_COUNT"] = "REACTION_COUNT";
})(ReplySortOrder || (exports.ReplySortOrder = ReplySortOrder = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
/**
 * Creates a new comment and publishes it.
 *
 * The `appId`, `contextId`, and `resourceId` are all required and associate the created comment with the specific
 * resource it responds to. See **Integrations** in the Comments introduction for a list of integrated scopes for these fields.
 *
 * If the created comment is a direct response to another comment, the `commentId` of the parent comment should be passed
 * as `parentComment.id` in this comment's request. See **Terminology** in the Comments introduction for additional information on parent comments and replies.
 * @param comment - Comment to create.
 * @public
 * @requiredField comment
 * @requiredField comment.appId
 * @requiredField comment.content
 * @requiredField comment.contextId
 * @requiredField comment.resourceId
 * @permissionId WIX_COMMENTS.COMMENT_CREATE
 * @permissionId WIX_COMMENTS.COMMENT_OVERRIDE_AUTHOR
 * @permissionId WIX_COMMENTS.COMMENT_OVERRIDE_COMMENT_DATE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @returns Created comment.
 * @fqn wix.comments.ng.v1.CommentsNg.CreateComment
 */
async function createComment(comment) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, transform_paths_1.transformPaths)((0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ comment: comment }, [
        'comment.content.richContent',
        'comment.draftContent.richContent',
    ]), [
        {
            transformFn: image_1.transformSDKImageToRESTImage,
            paths: [
                { path: 'comment.content.attachments.image' },
                { path: 'comment.draftContent.attachments.image' },
            ],
        },
        {
            transformFn: video_v2_1.transformSDKVideoV2ToRESTVideoV2,
            paths: [
                { path: 'comment.content.attachments.video' },
                { path: 'comment.draftContent.attachments.video' },
            ],
        },
        {
            transformFn: audio_1.transformSDKAudioToRESTAudio,
            paths: [
                { path: 'comment.content.attachments.audio' },
                { path: 'comment.draftContent.attachments.audio' },
            ],
        },
        {
            transformFn: document_1.transformSDKDocumentToRESTDocument,
            paths: [
                { path: 'comment.content.attachments.document' },
                { path: 'comment.draftContent.attachments.document' },
            ],
        },
    ]);
    const reqOpts = ambassadorWixCommentsV2Comment.createComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent'])?.comment;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { comment: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['comment']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.createComment = createComment;
/**
 * Retrieves a comment.
 * @param commentId - ID of the comment to retrieve.
 * @public
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_READ
 * @permissionScope Read Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.READ.COMMENTS
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @returns Retrieved comment.
 * @fqn wix.comments.ng.v1.CommentsNg.GetComment
 */
async function getComment(commentId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ commentId: commentId }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.getComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent'])?.comment;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { commentId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['commentId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getComment = getComment;
/**
 * Updates a comment.
 *
 * Each time the comment is updated, `revision` increments by 1. The current `revision` must be
 * passed when updating the comment. This ensures you're working with the latest comment and
 * prevents unintended overwrites.
 * @param _id - Comment ID.
 * @public
 * @requiredField _id
 * @requiredField comment
 * @requiredField comment.revision
 * @permissionId WIX_COMMENTS.COMMENT_UPDATE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @returns Updated comment.
 * @fqn wix.comments.ng.v1.CommentsNg.UpdateComment
 */
async function updateComment(_id, comment) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, transform_paths_1.transformPaths)((0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ comment: { ...comment, id: _id } }, ['comment.content.richContent', 'comment.draftContent.richContent']), [
        {
            transformFn: image_1.transformSDKImageToRESTImage,
            paths: [
                { path: 'comment.content.attachments.image' },
                { path: 'comment.draftContent.attachments.image' },
            ],
        },
        {
            transformFn: video_v2_1.transformSDKVideoV2ToRESTVideoV2,
            paths: [
                { path: 'comment.content.attachments.video' },
                { path: 'comment.draftContent.attachments.video' },
            ],
        },
        {
            transformFn: audio_1.transformSDKAudioToRESTAudio,
            paths: [
                { path: 'comment.content.attachments.audio' },
                { path: 'comment.draftContent.attachments.audio' },
            ],
        },
        {
            transformFn: document_1.transformSDKDocumentToRESTDocument,
            paths: [
                { path: 'comment.content.attachments.document' },
                { path: 'comment.draftContent.attachments.document' },
            ],
        },
    ]);
    const reqOpts = ambassadorWixCommentsV2Comment.updateComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent'])?.comment;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: { comment: '$[1]' },
            explicitPathsToArguments: { 'comment.id': '$[0]' },
            singleArgumentUnchanged: false,
        }, ['_id', 'comment']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.updateComment = updateComment;
/**
 * Deletes a comment.
 *
 * This method deletes the `content` of the comment and sets its `status` to `DELETED`.
 * @param commentId - ID of the comment to delete.
 * @public
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_DELETE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.DeleteComment
 */
async function deleteComment(commentId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ commentId: commentId }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.deleteComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { commentId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['commentId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.deleteComment = deleteComment;
/**
 * Moderates the draft content of a comment.
 *
 * - `APPROVE`: Moves `draftContent` to `content` and updates the comment `status` to `PUBLISHED`.
 * - `REJECT`: Clears `draftContent` if comment `status` is `PUBLISHED` or, if comment `status` is `PENDING` it will keep `draftContent` the same and change `status` to `HIDDEN`.
 * @param commentId - ID of the comment to moderate.
 * @param revision - Revision number, which increments by `1` each time the comment is updated.
 *
 * To prevent conflicting changes, the current `revision` must be passed when updating the comment.
 * @public
 * @documentationMaturity preview
 * @requiredField commentId
 * @requiredField revision
 * @permissionId WIX_COMMENTS.COMMENT_MODERATE_DRAFT_CONTENT
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.ModerateDraftContent
 */
async function moderateDraftContent(commentId, revision, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[3];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        commentId: commentId,
        revision: revision,
        draftContentAction: options?.draftContentAction,
    }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.moderateDraftContent(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                commentId: '$[0]',
                revision: '$[1]',
                draftContentAction: '$[2].draftContentAction',
            },
            singleArgumentUnchanged: false,
        }, ['commentId', 'revision', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.moderateDraftContent = moderateDraftContent;
/**
 * Creates a query to retrieve a list of comments.
 *
 * The `queryComments()` function builds a query to retrieve a list of comments and returns a [`CommentsQueryBuilder`](#commentsquerybuilder) object.
 *
 * The returned object contains the query definition, which is typically used to run the query using the [`find()`](#commentsquerybuilder/find) function.
 *
 * You can refine the query by chaining `CommentsQueryBuilder` functions onto the query. `CommentsQueryBuilder` functions enable you to sort, filter, and control the results that `queryComments()` returns.
 *
 * `queryComments()` runs with the following `CommentsQueryBuilder` default that you can override:
 * + `ascending("_id")`
 *
 * The functions that are chained to `queryComments()` are applied in the order they are called. For example, if you apply `ascending("voteSummary.netVoteCount")` and then `ascending("replyCount")`, the results are sorted first by the `"voteSummary.netVoteCount"`, and then, if there are multiple results with the same `"voteSummary.netVoteCount"`, the items are sorted by `"replyCount"`.
 *
 * The following `CommentsQueryBuilder` functions are supported for the `queryComments()` function. For a full description of the comment object, see the object returned for the [`items`](#commentsqueryresult/items) property in [`CommentsQueryResult`](#commentsqueryresult).
 * @public
 * @requiredField appId
 * @param appId - App ID to query comments for.
 * @permissionScope Read Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.READ.COMMENTS
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @permissionId WIX_COMMENTS.COMMENT_QUERY
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.QueryComments
 */
function queryComments(appId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    return (0, query_builder_1.queryBuilder)({
        func: async (payload) => {
            const reqOpts = ambassadorWixCommentsV2Comment.queryComments(payload);
            sideEffects?.onSiteCall?.();
            try {
                const result = await httpClient.request(reqOpts);
                sideEffects?.onSuccess?.(result);
                return result;
            }
            catch (err) {
                sideEffects?.onError?.(err);
                throw err;
            }
        },
        requestTransformer: (query) => {
            const args = [query, appId, {}];
            return (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ appId: args?.[1], ...args?.[2], query: args?.[0] }, []);
        },
        responseTransformer: ({ data }) => {
            const transformedData = (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(data, [
                {
                    transformFn: image_2.transformRESTImageToSDKImage,
                    paths: [
                        { path: 'comments.content.attachments.image' },
                        { path: 'comments.draftContent.attachments.image' },
                    ],
                },
                {
                    transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                    paths: [
                        { path: 'comments.content.attachments.video' },
                        { path: 'comments.draftContent.attachments.video' },
                    ],
                },
                {
                    transformFn: audio_2.transformRESTAudioToSDKAudio,
                    paths: [
                        { path: 'comments.content.attachments.audio' },
                        { path: 'comments.draftContent.attachments.audio' },
                    ],
                },
                {
                    transformFn: document_2.transformRESTDocumentToSDKDocument,
                    paths: [
                        { path: 'comments.content.attachments.document' },
                        { path: 'comments.draftContent.attachments.document' },
                    ],
                },
            ]), ['comments.content.richContent', 'comments.draftContent.richContent']);
            return {
                items: transformedData?.comments,
                pagingMetadata: transformedData?.pagingMetadata,
            };
        },
        errorTransformer: (err) => {
            const transformedError = (0, transform_error_1.transformError)(err, {
                spreadPathsToArguments: {},
                explicitPathsToArguments: { appId: '$[1]', query: '$[0]' },
                singleArgumentUnchanged: false,
            });
            throw transformedError;
        },
        pagingMethod: 'CURSOR',
        transformationPaths: {},
    });
}
exports.queryComments = queryComments;
/**
 * Sets `marked` to `TRUE` to mark a comment.
 *
 * Call Query Comments to filter for marked comments to then apply customization to.
 * See Sample Flows for an example.
 * @param commentId - ID of the comment to mark.
 * @public
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_MARK
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.MarkComment
 */
async function markComment(commentId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ commentId: commentId }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.markComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { commentId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['commentId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.markComment = markComment;
/**
 * Sets `marked` to `FALSE` to unmark a comment.
 * @param commentId - ID of the comment to unmark.
 * @public
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_MARK
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.UnmarkComment
 */
async function unmarkComment(commentId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ commentId: commentId }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.unmarkComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { commentId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['commentId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.unmarkComment = unmarkComment;
/**
 * Hides a comment in a widget. The comment status becomes `HIDDEN`.
 * @param commentId - ID of the comment to hide.
 * @public
 * @documentationMaturity preview
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_HIDE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.HideComment
 */
async function hideComment(commentId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ commentId: commentId }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.hideComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { commentId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['commentId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.hideComment = hideComment;
/**
 * Publishes a comment with the `HIDDEN` status. The comment status becomes `PUBLISHED`.
 *
 * To publish a new comment, call Create Comment.
 * @param commentId - ID of the comment to publish.
 * @public
 * @documentationMaturity preview
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_PUBLISH
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.PublishComment
 */
async function publishComment(commentId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ commentId: commentId }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.publishComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comment.content.attachments.image' },
                    { path: 'comment.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comment.content.attachments.video' },
                    { path: 'comment.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comment.content.attachments.audio' },
                    { path: 'comment.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comment.content.attachments.document' },
                    { path: 'comment.draftContent.attachments.document' },
                ],
            },
        ]), ['comment.content.richContent', 'comment.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { commentId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['commentId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.publishComment = publishComment;
/**
 * Counts comments, given the specified filtering. Comments with the `HIDDEN` status are not included in the response.
 * @param appId - App ID to count the comments of.
 * @public
 * @requiredField appId
 * @permissionId WIX_COMMENTS.COMMENT_COUNT
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.CountComments
 */
async function countComments(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ appId: appId, filter: options?.filter }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.countComments(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data, []);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { appId: '$[0]', filter: '$[1].filter' },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.countComments = countComments;
/**
 * Lists published comments and replies from a specified resource, such as a blog post.
 * @param appId - ID of the app from which the comments are listed.
 * @public
 * @documentationMaturity preview
 * @requiredField appId
 * @requiredField options.contextId
 * @requiredField options.resourceId
 * @permissionId WIX_COMMENTS.COMMENT_LIST
 * @permissionScope Read Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.READ.COMMENTS
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.ListCommentsByResource
 */
async function listCommentsByResource(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        appId: appId,
        contextId: options?.contextId,
        contextType: options?.contextType,
        resourceId: options?.resourceId,
        commentSort: options?.commentSort,
        replySort: options?.replySort,
        cursorPaging: options?.cursorPaging,
    }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.listCommentsByResource(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comments.content.attachments.image' },
                    { path: 'comments.draftContent.attachments.image' },
                    { path: 'commentReplies.*.replies.content.attachments.image' },
                    { path: 'commentReplies.*.replies.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comments.content.attachments.video' },
                    { path: 'comments.draftContent.attachments.video' },
                    { path: 'commentReplies.*.replies.content.attachments.video' },
                    { path: 'commentReplies.*.replies.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comments.content.attachments.audio' },
                    { path: 'comments.draftContent.attachments.audio' },
                    { path: 'commentReplies.*.replies.content.attachments.audio' },
                    { path: 'commentReplies.*.replies.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comments.content.attachments.document' },
                    { path: 'comments.draftContent.attachments.document' },
                    { path: 'commentReplies.*.replies.content.attachments.document' },
                    {
                        path: 'commentReplies.*.replies.draftContent.attachments.document',
                    },
                ],
            },
        ]), ['comments.content.richContent', 'comments.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                appId: '$[0]',
                contextId: '$[1].contextId',
                contextType: '$[1].contextType',
                resourceId: '$[1].resourceId',
                commentSort: '$[1].commentSort',
                replySort: '$[1].replySort',
                cursorPaging: '$[1].cursorPaging',
            },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.listCommentsByResource = listCommentsByResource;
/**
 * Returns a thread of a comment or a reply.
 *
 * If you request a comment thread, the method returns a single comment with cursors. With cursors (`pagingMetadata.cursors.next` or `pagingMetadata.cursors.prev`) you can load replies by calling the List Comments by Resource method.
 *
 * If you request a reply thread, the method returns a reply with its parent comment. With cursors (`pagingMetadata.cursors.next` or `pagingMetadata.cursors.prev`) you can load replies by calling the List Comments by Resource method.
 * @param commentId - Comment ID.
 * @public
 * @documentationMaturity preview
 * @requiredField commentId
 * @permissionId WIX_COMMENTS.COMMENT_THREAD
 * @permissionScope Read Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.READ.COMMENTS
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.GetCommentThread
 */
async function getCommentThread(commentId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        commentId: commentId,
        appId: options?.appId,
        commentSort: options?.commentSort,
        replySort: options?.replySort,
    }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.getCommentThread(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: image_2.transformRESTImageToSDKImage,
                paths: [
                    { path: 'comments.content.attachments.image' },
                    { path: 'comments.draftContent.attachments.image' },
                    { path: 'commentReplies.*.replies.content.attachments.image' },
                    { path: 'commentReplies.*.replies.draftContent.attachments.image' },
                ],
            },
            {
                transformFn: video_v2_2.transformRESTVideoV2ToSDKVideoV2,
                paths: [
                    { path: 'comments.content.attachments.video' },
                    { path: 'comments.draftContent.attachments.video' },
                    { path: 'commentReplies.*.replies.content.attachments.video' },
                    { path: 'commentReplies.*.replies.draftContent.attachments.video' },
                ],
            },
            {
                transformFn: audio_2.transformRESTAudioToSDKAudio,
                paths: [
                    { path: 'comments.content.attachments.audio' },
                    { path: 'comments.draftContent.attachments.audio' },
                    { path: 'commentReplies.*.replies.content.attachments.audio' },
                    { path: 'commentReplies.*.replies.draftContent.attachments.audio' },
                ],
            },
            {
                transformFn: document_2.transformRESTDocumentToSDKDocument,
                paths: [
                    { path: 'comments.content.attachments.document' },
                    { path: 'comments.draftContent.attachments.document' },
                    { path: 'commentReplies.*.replies.content.attachments.document' },
                    {
                        path: 'commentReplies.*.replies.draftContent.attachments.document',
                    },
                ],
            },
        ]), ['comments.content.richContent', 'comments.draftContent.richContent']);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                commentId: '$[0]',
                appId: '$[1].appId',
                commentSort: '$[1].commentSort',
                replySort: '$[1].replySort',
            },
            singleArgumentUnchanged: false,
        }, ['commentId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getCommentThread = getCommentThread;
/**
 * Publishes multiple comments with the `HIDDEN` status. The comment status becomes `PUBLISHED`.
 * @param appId - ID of the app where to publish the comment.
 * @public
 * @documentationMaturity preview
 * @requiredField appId
 * @requiredField options
 * @requiredField options.filter
 * @permissionId WIX_COMMENTS.BULK_COMMENT_PUBLISH
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.BulkPublishComment
 */
async function bulkPublishComment(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ appId: appId, filter: options?.filter }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.bulkPublishComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data, []);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { appId: '$[0]', filter: '$[1].filter' },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.bulkPublishComment = bulkPublishComment;
/**
 * Hides multiple comments. The comment status becomes `HIDDEN`.
 * @param appId - ID of the app where to hide the comments.
 * @public
 * @documentationMaturity preview
 * @requiredField appId
 * @requiredField options
 * @requiredField options.filter
 * @permissionId WIX_COMMENTS.BULK_COMMENT_HIDE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.BulkHideComment
 */
async function bulkHideComment(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ appId: appId, filter: options?.filter }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.bulkHideComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data, []);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { appId: '$[0]', filter: '$[1].filter' },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.bulkHideComment = bulkHideComment;
/**
 * Deletes multiple comments.
 * @param appId - ID of the app where to delete the comments.
 * @public
 * @documentationMaturity preview
 * @requiredField appId
 * @requiredField options
 * @requiredField options.filter
 * @permissionId WIX_COMMENTS.BULK_COMMENT_DELETE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.BulkDeleteComment
 */
async function bulkDeleteComment(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({ appId: appId, filter: options?.filter }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.bulkDeleteComment(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data, []);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { appId: '$[0]', filter: '$[1].filter' },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.bulkDeleteComment = bulkDeleteComment;
/**
 * Moderates the draft content of multiple comments.
 * @param appId - ID of the app where to moderate the comments.
 * @public
 * @documentationMaturity preview
 * @requiredField appId
 * @requiredField options
 * @requiredField options.draftContentAction
 * @requiredField options.filter
 * @permissionId WIX_COMMENTS.BULK_COMMENT_MODERATE_DRAFT_CONTENT
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.BulkModerateDraftContent
 */
async function bulkModerateDraftContent(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        appId: appId,
        filter: options?.filter,
        draftContentAction: options?.draftContentAction,
    }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.bulkModerateDraftContent(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data, []);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                appId: '$[0]',
                filter: '$[1].filter',
                draftContentAction: '$[1].draftContentAction',
            },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.bulkModerateDraftContent = bulkModerateDraftContent;
/**
 * Moves multiple comments to another resource.
 * @param appId - ID of the app from which to move the comments.
 * @public
 * @documentationMaturity preview
 * @requiredField appId
 * @requiredField options.destination.contextId
 * @requiredField options.destination.resourceId
 * @requiredField options.filter
 * @permissionId WIX_COMMENTS.BULK_COMMENT_MOVE
 * @permissionScope Manage Comments
 * @permissionScopeId SCOPE.DC_COMMENTS.MANAGE.COMMENTS
 * @applicableIdentity APP
 * @fqn wix.comments.ng.v1.CommentsNg.BulkMoveCommentByFilter
 */
async function bulkMoveCommentByFilter(appId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        appId: appId,
        filter: options?.filter,
        destination: options?.destination,
    }, []);
    const reqOpts = ambassadorWixCommentsV2Comment.bulkMoveCommentByFilter(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data, []);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                appId: '$[0]',
                filter: '$[1].filter',
                destination: '$[1].destination',
            },
            singleArgumentUnchanged: false,
        }, ['appId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.bulkMoveCommentByFilter = bulkMoveCommentByFilter;
//# sourceMappingURL=comments-v2-comment-comments.universal.js.map