import { createComment as publicCreateComment, getComment as publicGetComment, updateComment as publicUpdateComment, deleteComment as publicDeleteComment, moderateDraftContent as publicModerateDraftContent, queryComments as publicQueryComments, markComment as publicMarkComment, unmarkComment as publicUnmarkComment, hideComment as publicHideComment, publishComment as publicPublishComment, countComments as publicCountComments, listCommentsByResource as publicListCommentsByResource, getCommentThread as publicGetCommentThread, bulkPublishComment as publicBulkPublishComment, bulkHideComment as publicBulkHideComment, bulkDeleteComment as publicBulkDeleteComment, bulkModerateDraftContent as publicBulkModerateDraftContent, bulkMoveCommentByFilter as publicBulkMoveCommentByFilter } from './comments-v2-comment-comments.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onCommentContentChanged as publicOnCommentContentChanged } from './comments-v2-comment-comments.public.js';
import { onCommentHidden as publicOnCommentHidden } from './comments-v2-comment-comments.public.js';
import { onCommentMarked as publicOnCommentMarked } from './comments-v2-comment-comments.public.js';
import { onCommentMoved as publicOnCommentMoved } from './comments-v2-comment-comments.public.js';
import { onCommentPublished as publicOnCommentPublished } from './comments-v2-comment-comments.public.js';
import { onCommentUnmarked as publicOnCommentUnmarked } from './comments-v2-comment-comments.public.js';
import { onCommentCreated as publicOnCommentCreated } from './comments-v2-comment-comments.public.js';
import { onCommentResourceCommentCountChanged as publicOnCommentResourceCommentCountChanged } from './comments-v2-comment-comments.public.js';
import { onCommentUpdated as publicOnCommentUpdated } from './comments-v2-comment-comments.public.js';
export declare const createComment: MaybeContext<BuildRESTFunction<typeof publicCreateComment> & typeof publicCreateComment>;
export declare const getComment: MaybeContext<BuildRESTFunction<typeof publicGetComment> & typeof publicGetComment>;
export declare const updateComment: MaybeContext<BuildRESTFunction<typeof publicUpdateComment> & typeof publicUpdateComment>;
export declare const deleteComment: MaybeContext<BuildRESTFunction<typeof publicDeleteComment> & typeof publicDeleteComment>;
export declare const moderateDraftContent: MaybeContext<BuildRESTFunction<typeof publicModerateDraftContent> & typeof publicModerateDraftContent>;
export declare const queryComments: MaybeContext<BuildRESTFunction<typeof publicQueryComments> & typeof publicQueryComments>;
export declare const markComment: MaybeContext<BuildRESTFunction<typeof publicMarkComment> & typeof publicMarkComment>;
export declare const unmarkComment: MaybeContext<BuildRESTFunction<typeof publicUnmarkComment> & typeof publicUnmarkComment>;
export declare const hideComment: MaybeContext<BuildRESTFunction<typeof publicHideComment> & typeof publicHideComment>;
export declare const publishComment: MaybeContext<BuildRESTFunction<typeof publicPublishComment> & typeof publicPublishComment>;
export declare const countComments: MaybeContext<BuildRESTFunction<typeof publicCountComments> & typeof publicCountComments>;
export declare const listCommentsByResource: MaybeContext<BuildRESTFunction<typeof publicListCommentsByResource> & typeof publicListCommentsByResource>;
export declare const getCommentThread: MaybeContext<BuildRESTFunction<typeof publicGetCommentThread> & typeof publicGetCommentThread>;
export declare const bulkPublishComment: MaybeContext<BuildRESTFunction<typeof publicBulkPublishComment> & typeof publicBulkPublishComment>;
export declare const bulkHideComment: MaybeContext<BuildRESTFunction<typeof publicBulkHideComment> & typeof publicBulkHideComment>;
export declare const bulkDeleteComment: MaybeContext<BuildRESTFunction<typeof publicBulkDeleteComment> & typeof publicBulkDeleteComment>;
export declare const bulkModerateDraftContent: MaybeContext<BuildRESTFunction<typeof publicBulkModerateDraftContent> & typeof publicBulkModerateDraftContent>;
export declare const bulkMoveCommentByFilter: MaybeContext<BuildRESTFunction<typeof publicBulkMoveCommentByFilter> & typeof publicBulkMoveCommentByFilter>;
/**
 * Triggered when comment content is updated.
 */
export declare const onCommentContentChanged: ReturnType<typeof createEventModule<typeof publicOnCommentContentChanged>>;
/**
 * Triggered when a comment is hidden.
 */
export declare const onCommentHidden: ReturnType<typeof createEventModule<typeof publicOnCommentHidden>>;
/**
 * Triggered when a comment is marked.
 */
export declare const onCommentMarked: ReturnType<typeof createEventModule<typeof publicOnCommentMarked>>;
/**
 * Triggered when a comment is moved.
 */
export declare const onCommentMoved: ReturnType<typeof createEventModule<typeof publicOnCommentMoved>>;
/**
 * Triggered when a comment is published.
 */
export declare const onCommentPublished: ReturnType<typeof createEventModule<typeof publicOnCommentPublished>>;
/**
 * Triggered when a comment is unmarked.
 */
export declare const onCommentUnmarked: ReturnType<typeof createEventModule<typeof publicOnCommentUnmarked>>;
/**
 * Triggered when a comment is created.
 */
export declare const onCommentCreated: ReturnType<typeof createEventModule<typeof publicOnCommentCreated>>;
/**
 * Triggered when the total number of comments has changed in a resource.
 */
export declare const onCommentResourceCommentCountChanged: ReturnType<typeof createEventModule<typeof publicOnCommentResourceCommentCountChanged>>;
/**
 * Triggered when a comment is updated.
 */
export declare const onCommentUpdated: ReturnType<typeof createEventModule<typeof publicOnCommentUpdated>>;
export { NodeType, WidthType, PluginContainerDataAlignment, Type, Target, TextAlignment, LineStyle, Width, Alignment, ViewMode, LayoutType, Orientation, Crop, ThumbnailsAlignment, GIFType, Source, Position, MapType, ViewRole, VoteRole, PollLayoutType, PollLayoutDirection, BackgroundType, DecorationType, FontType, AppType, InitialExpandedItems, Direction, VerticalAlignment, NullValue, Status, VersioningMode, Action, SortOrder, Order, ReplySortOrder, WebhookIdentityType, } from './comments-v2-comment-comments.universal.js';
export { Comment, CommentContent, RichContent, Node, NodeDataOneOf, NodeStyle, ButtonData, Border, Colors, PluginContainerData, PluginContainerDataWidth, PluginContainerDataWidthDataOneOf, Spoiler, Height, Styles, Link, LinkDataOneOf, Rel, CodeBlockData, TextStyle, DividerData, FileData, FileSource, FileSourceDataOneOf, PDFSettings, GalleryData, Media, Image, Video, Item, ItemDataOneOf, GalleryOptions, Layout, ItemStyle, Thumbnails, GIFData, GIF, HeadingData, HTMLData, HTMLDataDataOneOf, ImageData, StylesBorder, ImageDataStyles, LinkPreviewData, LinkPreviewDataStyles, MapData, MapSettings, ParagraphData, PollData, Permissions, Option, Settings, PollLayout, OptionLayout, Gradient, Background, BackgroundBackgroundOneOf, PollDesign, OptionDesign, Poll, PollDataLayout, Design, TextData, Decoration, DecorationDataOneOf, AnchorData, ColorData, LinkData, MentionData, FontSizeData, SpoilerData, AppEmbedData, AppEmbedDataAppDataOneOf, BookingData, EventData, VideoData, PlaybackOptions, EmbedData, Oembed, CollapsibleListData, TableData, Dimensions, TableCellData, CellStyle, BorderColors, ListValue, AudioData, OrderedListData, BulletedListData, BlockquoteData, CaptionData, LayoutCellData, Metadata, DocumentStyle, TextNodeStyle, Mention, MentionIdentityOneOf, Attachment, AttachmentMediaOneOf, VideoResolution, ContentAuthor, ContentAuthorAuthorOneOf, CommentAuthor, CommentAuthorIdentityOneOf, ParentComment, VoteSummary, CommentReactionSummary, UpdateInternalDocumentsEvent, UpdateInternalDocumentsEventOperationOneOf, InternalDocument, InternalDocumentUpdateOperation, DeleteByIdsOperation, DeleteByFilterOperation, InternalDocumentUpdateByFilterOperation, InternalUpdateExistingOperation, VersionedDocumentUpdateOperation, VersionedDeleteByIdsOperation, VersionedDocumentId, CommentModerated, CreateCommentRequest, ContactDetails, CreateCommentResponse, ResourceCommentCountChanged, GetCommentRequest, GetCommentResponse, UpdateCommentRequest, UpdateCommentResponse, CommentContentChanged, DeleteCommentRequest, DeleteCommentResponse, CommentDeleted, ModerateDraftContentRequest, ModerateDraftContentResponse, CommentPublished, CommentHidden, QueryCommentsRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QueryCommentsResponse, CursorPagingMetadata, Cursors, MarkCommentRequest, MarkCommentResponse, CommentMarked, UnmarkCommentRequest, UnmarkCommentResponse, CommentUnmarked, HideCommentRequest, HideCommentResponse, PublishCommentRequest, PublishCommentResponse, CountCommentsRequest, CountCommentsResponse, ListCommentsByResourceRequest, CommentSort, ReplySort, ListCommentsByResourceCursorPaging, ListCommentsByResourceResponse, RepliesListResponse, GetCommentThreadRequest, GetCommentThreadResponse, BulkPublishCommentRequest, BulkPublishCommentResponse, BulkHideCommentRequest, BulkHideCommentResponse, BulkDeleteCommentRequest, BulkDeleteCommentResponse, BulkModerateDraftContentRequest, BulkModerateDraftContentResponse, BulkMoveCommentByFilterRequest, Destination, BulkMoveCommentByFilterResponse, CommentMoved, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, CommentContentChangedEnvelope, CommentHiddenEnvelope, CommentMarkedEnvelope, CommentMovedEnvelope, CommentPublishedEnvelope, CommentUnmarkedEnvelope, CommentCreatedEnvelope, CommentResourceCommentCountChangedEnvelope, CommentUpdatedEnvelope, UpdateComment, ModerateDraftContentOptions, CommentsQueryResult, CommentsQueryBuilder, CountCommentsOptions, ListCommentsByResourceOptions, GetCommentThreadOptions, BulkPublishCommentOptions, BulkHideCommentOptions, BulkDeleteCommentOptions, BulkModerateDraftContentOptions, BulkMoveCommentByFilterOptions, } from './comments-v2-comment-comments.universal.js';
