import { createComment as publicCreateComment, getComment as publicGetComment, updateComment as publicUpdateComment, deleteComment as publicDeleteComment, moderateDraftContent as publicModerateDraftContent, queryComments as publicQueryComments, markComment as publicMarkComment, unmarkComment as publicUnmarkComment, hideComment as publicHideComment, publishComment as publicPublishComment, countComments as publicCountComments, listCommentsByResource as publicListCommentsByResource, getCommentThread as publicGetCommentThread, bulkPublishComment as publicBulkPublishComment, bulkHideComment as publicBulkHideComment, bulkDeleteComment as publicBulkDeleteComment, bulkModerateDraftContent as publicBulkModerateDraftContent, bulkMoveCommentByFilter as publicBulkMoveCommentByFilter, } from './comments-v2-comment-comments.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onCommentContentChanged as publicOnCommentContentChanged } from './comments-v2-comment-comments.public.js';
import { onCommentHidden as publicOnCommentHidden } from './comments-v2-comment-comments.public.js';
import { onCommentMarked as publicOnCommentMarked } from './comments-v2-comment-comments.public.js';
import { onCommentMoved as publicOnCommentMoved } from './comments-v2-comment-comments.public.js';
import { onCommentPublished as publicOnCommentPublished } from './comments-v2-comment-comments.public.js';
import { onCommentUnmarked as publicOnCommentUnmarked } from './comments-v2-comment-comments.public.js';
import { onCommentCreated as publicOnCommentCreated } from './comments-v2-comment-comments.public.js';
import { onCommentResourceCommentCountChanged as publicOnCommentResourceCommentCountChanged } from './comments-v2-comment-comments.public.js';
import { onCommentUpdated as publicOnCommentUpdated } from './comments-v2-comment-comments.public.js';
export const createComment = /*#__PURE__*/ createRESTModule(publicCreateComment);
export const getComment = /*#__PURE__*/ createRESTModule(publicGetComment);
export const updateComment = /*#__PURE__*/ createRESTModule(publicUpdateComment);
export const deleteComment = /*#__PURE__*/ createRESTModule(publicDeleteComment);
export const moderateDraftContent = /*#__PURE__*/ createRESTModule(publicModerateDraftContent);
export const queryComments = /*#__PURE__*/ createRESTModule(publicQueryComments);
export const markComment = /*#__PURE__*/ createRESTModule(publicMarkComment);
export const unmarkComment = /*#__PURE__*/ createRESTModule(publicUnmarkComment);
export const hideComment = /*#__PURE__*/ createRESTModule(publicHideComment);
export const publishComment = /*#__PURE__*/ createRESTModule(publicPublishComment);
export const countComments = /*#__PURE__*/ createRESTModule(publicCountComments);
export const listCommentsByResource = /*#__PURE__*/ createRESTModule(publicListCommentsByResource);
export const getCommentThread = /*#__PURE__*/ createRESTModule(publicGetCommentThread);
export const bulkPublishComment = /*#__PURE__*/ createRESTModule(publicBulkPublishComment);
export const bulkHideComment = /*#__PURE__*/ createRESTModule(publicBulkHideComment);
export const bulkDeleteComment = /*#__PURE__*/ createRESTModule(publicBulkDeleteComment);
export const bulkModerateDraftContent = /*#__PURE__*/ createRESTModule(publicBulkModerateDraftContent);
export const bulkMoveCommentByFilter = /*#__PURE__*/ createRESTModule(publicBulkMoveCommentByFilter);
/**
 * Triggered when comment content is updated.
 */
export const onCommentContentChanged = createEventModule(publicOnCommentContentChanged);
/**
 * Triggered when a comment is hidden.
 */
export const onCommentHidden = createEventModule(publicOnCommentHidden);
/**
 * Triggered when a comment is marked.
 */
export const onCommentMarked = createEventModule(publicOnCommentMarked);
/**
 * Triggered when a comment is moved.
 */
export const onCommentMoved = createEventModule(publicOnCommentMoved);
/**
 * Triggered when a comment is published.
 */
export const onCommentPublished = createEventModule(publicOnCommentPublished);
/**
 * Triggered when a comment is unmarked.
 */
export const onCommentUnmarked = createEventModule(publicOnCommentUnmarked);
/**
 * Triggered when a comment is created.
 */
export const onCommentCreated = createEventModule(publicOnCommentCreated);
/**
 * Triggered when the total number of comments has changed in a resource.
 */
export const onCommentResourceCommentCountChanged = createEventModule(publicOnCommentResourceCommentCountChanged);
/**
 * Triggered when a comment is updated.
 */
export const onCommentUpdated = createEventModule(publicOnCommentUpdated);
export { NodeType, WidthType, PluginContainerDataAlignment, Type, Target, TextAlignment, LineStyle, Width, Alignment, ViewMode, LayoutType, Orientation, Crop, ThumbnailsAlignment, GIFType, Source, Position, MapType, ViewRole, VoteRole, PollLayoutType, PollLayoutDirection, BackgroundType, DecorationType, FontType, AppType, InitialExpandedItems, Direction, VerticalAlignment, NullValue, Status, VersioningMode, Action, SortOrder, Order, ReplySortOrder, WebhookIdentityType, } from './comments-v2-comment-comments.universal.js';
//# sourceMappingURL=comments-v2-comment-comments.context.js.map