import * as ambassadorWixCommentsV2Comment from './comments-v2-comment-comments.http.js';
export function createComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.createComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.getComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/{commentId}',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateComment() {
    const payload = { comment: { id: ':commentId' } };
    const getRequestOptions = ambassadorWixCommentsV2Comment.updateComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/comments/{comment.id}',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.deleteComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/comments/{commentId}',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function moderateDraftContent() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.moderateDraftContent(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/{commentId}/moderate',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryComments() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.queryComments(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/query-cursor',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function markComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.markComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/mark',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function unmarkComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.unmarkComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/unmark',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function hideComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.hideComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/hide',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function publishComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.publishComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/publish',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function countComments() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.countComments(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/count',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function listCommentsByResource() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.listCommentsByResource(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/list-by-resource',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getCommentThread() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.getCommentThread(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/{commentId}/thread',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function bulkPublishComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkPublishComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/bulk/comments/publish-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function bulkHideComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkHideComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/bulk/comments/hide-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function bulkDeleteComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkDeleteComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/bulk/comments/delete-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function bulkModerateDraftContent() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkModerateDraftContent(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/bulk/comments/moderate-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function bulkMoveCommentByFilter() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkMoveCommentByFilter(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/bulk/comments/move-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=comments-v2-comment-comments.meta.js.map