import * as ambassadorWixCommentsV2CommentTypes from './comments-v2-comment-comments.types.js';
import * as ambassadorWixCommentsV2CommentUniversalTypes from './comments-v2-comment-comments.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createComment(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsV2CommentUniversalTypes.CreateCommentRequest, ambassadorWixCommentsV2CommentTypes.CreateCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.CreateCommentResponse, ambassadorWixCommentsV2CommentTypes.CreateCommentResponse>;
export declare function getComment(): __PublicMethodMetaInfo<'GET', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.GetCommentRequest, ambassadorWixCommentsV2CommentTypes.GetCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.GetCommentResponse, ambassadorWixCommentsV2CommentTypes.GetCommentResponse>;
export declare function updateComment(): __PublicMethodMetaInfo<'PATCH', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.UpdateCommentRequest, ambassadorWixCommentsV2CommentTypes.UpdateCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.UpdateCommentResponse, ambassadorWixCommentsV2CommentTypes.UpdateCommentResponse>;
export declare function deleteComment(): __PublicMethodMetaInfo<'DELETE', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.DeleteCommentRequest, ambassadorWixCommentsV2CommentTypes.DeleteCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.DeleteCommentResponse, ambassadorWixCommentsV2CommentTypes.DeleteCommentResponse>;
export declare function moderateDraftContent(): __PublicMethodMetaInfo<'POST', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.ModerateDraftContentRequest, ambassadorWixCommentsV2CommentTypes.ModerateDraftContentRequest, ambassadorWixCommentsV2CommentUniversalTypes.ModerateDraftContentResponse, ambassadorWixCommentsV2CommentTypes.ModerateDraftContentResponse>;
export declare function queryComments(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsV2CommentUniversalTypes.QueryCommentsRequest, ambassadorWixCommentsV2CommentTypes.QueryCommentsRequest, ambassadorWixCommentsV2CommentUniversalTypes.QueryCommentsResponse, ambassadorWixCommentsV2CommentTypes.QueryCommentsResponse>;
export declare function markComment(): __PublicMethodMetaInfo<'PUT', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.MarkCommentRequest, ambassadorWixCommentsV2CommentTypes.MarkCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.MarkCommentResponse, ambassadorWixCommentsV2CommentTypes.MarkCommentResponse>;
export declare function unmarkComment(): __PublicMethodMetaInfo<'PUT', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.UnmarkCommentRequest, ambassadorWixCommentsV2CommentTypes.UnmarkCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.UnmarkCommentResponse, ambassadorWixCommentsV2CommentTypes.UnmarkCommentResponse>;
export declare function hideComment(): __PublicMethodMetaInfo<'PUT', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.HideCommentRequest, ambassadorWixCommentsV2CommentTypes.HideCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.HideCommentResponse, ambassadorWixCommentsV2CommentTypes.HideCommentResponse>;
export declare function publishComment(): __PublicMethodMetaInfo<'PUT', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.PublishCommentRequest, ambassadorWixCommentsV2CommentTypes.PublishCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.PublishCommentResponse, ambassadorWixCommentsV2CommentTypes.PublishCommentResponse>;
export declare function countComments(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsV2CommentUniversalTypes.CountCommentsRequest, ambassadorWixCommentsV2CommentTypes.CountCommentsRequest, ambassadorWixCommentsV2CommentUniversalTypes.CountCommentsResponse, ambassadorWixCommentsV2CommentTypes.CountCommentsResponse>;
export declare function listCommentsByResource(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixCommentsV2CommentUniversalTypes.ListCommentsByResourceRequest, ambassadorWixCommentsV2CommentTypes.ListCommentsByResourceRequest, ambassadorWixCommentsV2CommentUniversalTypes.ListCommentsByResourceResponse, ambassadorWixCommentsV2CommentTypes.ListCommentsByResourceResponse>;
export declare function getCommentThread(): __PublicMethodMetaInfo<'GET', {
    commentId: string;
}, ambassadorWixCommentsV2CommentUniversalTypes.GetCommentThreadRequest, ambassadorWixCommentsV2CommentTypes.GetCommentThreadRequest, ambassadorWixCommentsV2CommentUniversalTypes.GetCommentThreadResponse, ambassadorWixCommentsV2CommentTypes.GetCommentThreadResponse>;
export declare function bulkPublishComment(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsV2CommentUniversalTypes.BulkPublishCommentRequest, ambassadorWixCommentsV2CommentTypes.BulkPublishCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.BulkPublishCommentResponse, ambassadorWixCommentsV2CommentTypes.BulkPublishCommentResponse>;
export declare function bulkHideComment(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixCommentsV2CommentUniversalTypes.BulkHideCommentRequest, ambassadorWixCommentsV2CommentTypes.BulkHideCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.BulkHideCommentResponse, ambassadorWixCommentsV2CommentTypes.BulkHideCommentResponse>;
export declare function bulkDeleteComment(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixCommentsV2CommentUniversalTypes.BulkDeleteCommentRequest, ambassadorWixCommentsV2CommentTypes.BulkDeleteCommentRequest, ambassadorWixCommentsV2CommentUniversalTypes.BulkDeleteCommentResponse, ambassadorWixCommentsV2CommentTypes.BulkDeleteCommentResponse>;
export declare function bulkModerateDraftContent(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCommentsV2CommentUniversalTypes.BulkModerateDraftContentRequest, ambassadorWixCommentsV2CommentTypes.BulkModerateDraftContentRequest, ambassadorWixCommentsV2CommentUniversalTypes.BulkModerateDraftContentResponse, ambassadorWixCommentsV2CommentTypes.BulkModerateDraftContentResponse>;
export declare function bulkMoveCommentByFilter(): __PublicMethodMetaInfo<'PUT', {}, ambassadorWixCommentsV2CommentUniversalTypes.BulkMoveCommentByFilterRequest, ambassadorWixCommentsV2CommentTypes.BulkMoveCommentByFilterRequest, ambassadorWixCommentsV2CommentUniversalTypes.BulkMoveCommentByFilterResponse, ambassadorWixCommentsV2CommentTypes.BulkMoveCommentByFilterResponse>;
